.main-company-block {
  margin-bottom: 30px;
  // .main-company-block__container
  &__container {
    display: flex;
  }
  &__row {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-column-gap: 24px;
    grid-row-gap: 24px;
    grid-auto-columns: minmax(1fr, 2fr);
  }
  &__box {
    border-radius: 16px;
    overflow: hidden;
    background-color: #fff;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    img {
      max-width: 100%;
      max-height: 100%;
    }
  }
  &__box--big {
    grid-column-start: span 2;
    grid-row-start: span 2;
  }
  &__box--full-width {
    grid-column-start: span 2;
  }
  @media (max-width: $md2) {
    &__row {
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr;
      grid-row-gap: 15px;
      grid-column-gap: 15px;
    }
    &__box {
      &:first-child {
        grid-column-start: 1;
        grid-column-end: 1;
        grid-row-start: 1;
        grid-row-end: 1;
      }
    }
    &__box--big {
      grid-column-start: span 1;
      grid-row-start: span 1;
    }
    &__box--full-width {
      grid-column-start: span 1;
    }
  }
}

.main-slider {
  width: 100%;
  height: 540px;
  background: #fff;
  margin-bottom: 30px;

  // .main-slider__container
  &__container {
    overflow: hidden;
    position: relative;
    max-width: 1244 + 20px;
    height: 100%;
  }
  // .main-slider__slides
  &__slides {
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  // .main-slider__slide
  &__slide {
    display: flex;
    width: 100%;
    max-width: 1244 + 20px;
    padding-left: 153px;
    padding-right: 30px;
  }
  // .main-slider__content
  &__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  // .main-slider__title
  &__title {
    font-size: 48px;
    line-height: 50px;
    letter-spacing: 3px;
    margin-bottom: 53px;
    width: 380px;
  }
  // .main-slider__button
  &__button {
    margin-left: 26px;
    a {
      font-size: 16px;
      line-height: 21px;
      width: fit-content;
      background: #69a03a;
      display: block;
      padding: 15px 33px;
      color: #fff;
      border-radius: 16px;
    }
  }
  // .main-slider__img
  &__img {
    width: calc(100% - 380px);
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      max-width: 100%;
      max-height: 100%;
    }
  }
  &--mini {
    border-radius: 16px;
    height: 316px;
    .main-slider__slide {
      padding-left: 116px;
    }
    .main-slider__title {
      margin-bottom: 38px;
      width: 450px;
    }
  }
  .slick-list {
    height: 100%;
  }
  .slick-track {
    display: flex;
    height: 100%;
  }
  .slick-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    width: 32px;
    height: 32px;
    font-size: 0;
    background-color: transparent;
    &::before {
      content: '';
      position: absolute;
      background-image: url('./../img/icons/arrow.svg');
      background-repeat: no-repeat;
      width: 18px;
      height: 35px;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
    }
  }
  .slick-arrow.slick-prev {
    left: 0;
  }
  .slick-arrow.slick-next {
    right: 0;
    &::before {
      transform: translate(-50%, -50%) rotate(180deg);
    }
  }
  @media (max-width: $md0) {
    .main-slider__slide {
      padding-left: 30px;
    }
    .main-slider__slide {
      padding-left: 30px;
    }
  }
  @media (max-width: $md1) {
    height: 450px;
    &__title {
      font-size: (48px / 100) * 80;
      line-height: (50px / 100) * 80;
      letter-spacing: 3px;
      margin-bottom: 53px;
      width: 320px;
    }
    &--mini {
      .main-slider__title {
        margin-bottom: 38px;
        width: 350px;
      }
    }
    &__img {
      width: calc(100% - 320px);
    }
  }
  @media (max-width: $md2) {
    height: 350px;
    &__title {
      font-size: (48px / 100) * 60;
      line-height: (50px / 100) * 60;
      width: 250px;
    }
    &--mini {
      .main-slider__title {
        margin-bottom: 38px;
        width: 300px;
      }
    }
    &__button {
      margin-left: 0;
      a {
        font-size: 14px;
        line-height: 18px;
        padding: 10px 25px;
        border-radius: 12px;
      }
    }
    &__img {
      width: calc(100% - 250px);
    }
  }
  @media (max-width: 650px) {
    &__slide {
      flex-direction: column-reverse;
      justify-content: center;
      padding-top: 10px;
      padding-bottom: 10px;
    }
    &__img {
      width: 100%;
      height: 200px;
    }
    &__title {
      width: 100%;
      font-size: (48px / 100) * 50;
      line-height: (50px / 100) * 50;
      margin-bottom: 20px;
    }
    &--mini {
      .main-slider__title {
        margin-bottom: 20px;
        width: 100%;
      }
    }
  }
  @media (max-width: $md3) {
    &__title {
      width: 100%;
      font-size: (48px / 100) * 40;
      line-height: (50px / 100) * 40;
      margin-bottom: 20px;
    }
  }
}

.basket {
  margin-top: 20px;
  padding-bottom: 23px;
  // .basket__table
  &__table {
    border-collapse: collapse;
    padding-left: 30px;
    padding-right: 30px;
    width: 100%;
    display: block;
    tbody {
      width: 100%;
      display: block;
    }
    tr {
      display: flex;
      align-items: center;
      width: 100%;
      border-bottom: 1px solid #efeff4;
      position: relative;
      &:last-child {
        border-bottom: none;
      }
      td {
        padding-bottom: 32px;
        padding-top: 32px;
        &:nth-child(1) {
          width: 112px;
          margin-right: 32px;
        }
        &:nth-child(2) {
          flex: 1 1 auto;
        }
        &:nth-child(3) {
          margin-right: 150px;
        }
        &:nth-child(4) {
          margin-right: 52px;
        }
        &:nth-child(5) {
        }
      }
    }
  }

  // .basket__img
  &__img {
    width: 112px;
    height: 112px;
    border-radius: 8px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.06);
    img {
      max-width: 100%;
      max-height: 100%;
    }
  }
  // .basket__content
  &__content {
  }
  // .basket_counter
  &_counter {
    width: 130px;
    height: 40px;
    .product-counter__count-inc,
    .product-counter__count-dec {
      width: 37px;
    }
    &.product-counter input {
      padding: 0 50px 0 35px;
    }
    &.product-counter span {
      right: 42px;
    }
  }

  // .basket__product-title
  &__product-title {
    font-size: 18px;
    line-height: 27px;
    color: #1b2437;
    padding-bottom: 10px;
    display: block;
  }
  // .basket__product-model
  &__product-model {
    font-size: 14px;
    line-height: 21px;
    color: #1b2437;
    margin-bottom: 4px;
  }
  // .basket__product-viewed
  &__product-viewed {
    display: flex;
    align-items: center;
    img {
      padding-right: 4px;
    }
    p {
      font-size: 14px;
      line-height: 21px;
    }
  }
  // .basket__product-price
  &__product-price {
    font-size: 20px;
    line-height: 30px;
    color: #1b2437;
    letter-spacing: 2px;
  }
  // .basket__product-delete
  &__product-delete {
    width: 24px;
    height: 24px;
    background: transparent;
  }
  // .basket__counts
  &__counts {
    margin-top: 20px;
    margin-bottom: 23px;
    background-color: #f6f6f6;
    padding: 14px 56px;
    p {
      font-size: 20px;
      line-height: 30px;
      color: #1b2437;
      display: flex;
      justify-content: flex-end;
      span {
        display: block;
        padding-right: 50px;
        &:last-child {
          letter-spacing: 2px;
        }
      }
    }
  }
  // .basket__send
  &__send {
    display: flex;
    justify-content: flex-end;
    input[type='submit'],
    a {
      display: block;
      font-family: 'Poppins SemiBold';
      font-size: 13px;
      text-align: center;
      line-height: 20px;
      text-transform: uppercase;
      color: #fff;
      padding: 17px 45px;
      background-color: #69a03a;
      border-radius: 16px;
      cursor: pointer;
    }
  }
  @media (max-width: $md1) {
    &__table {
      padding-left: 0;
      padding-right: 0;
      tr {
        &:last-child {
        }
        td {
          &:nth-child(1) {
          }
          &:nth-child(2) {
          }
          &:nth-child(3) {
            margin-right: 50px;
          }
          &:nth-child(4) {
            margin-right: 30px;
          }
          &:nth-child(5) {
          }
        }
      }
    }
  }
  @media (max-width: 650px) {
    tr {
      flex-wrap: wrap;
      justify-content: space-between;
      td {
        &:nth-child(1) {
          margin-right: 15px;
        }
        &:nth-child(2) {
          flex: 1 1 auto;
          width: calc(100% - 150px);
          padding-right: 25px;
        }
        &:nth-child(3) {
          margin-right: 0;
          flex: 1 1 auto;
        }
        &:nth-child(4) {
          margin-right: 0;
        }
        &:nth-child(5) {
          position: absolute;
          top: 15px;
          right: 0;
          z-index: 1;
        }
      }
    }
    &__product-price {
      font-size: (20px / 100) * 80;
      line-height: (30px / 100) * 80;
      letter-spacing: 1px;
    }
    &__counts {
      padding: 14px 0;
      p {
        font-size: (20px / 100) * 80;
        line-height: (30px / 100) * 80;
        letter-spacing: 1px;
      }
    }
    &__send {
      input[type='submit'],
      a {
        line-height: 20px;
        padding: 13px 30px;
      }
    }
  }
}

.profile {
  margin-top: 80px;
  margin-bottom: 50px;
  // .profile__container
  &__container {
  }
  // .profile__row
  &__row {
    display: flex;
  }
  // .profile__controllers
  &__controllers {
    width: 260px;
    min-width: 260px;
  }
  &__controllers-menu {
    width: 100%;
    font-family: 'Poppins Medium';
    font-size: 14px;
    line-height: 21px;
    color: #393939;
    padding: 20px;
    background-color: #fff;
    border-radius: 16px;
    margin-bottom: 20px;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    display: none;
    &::after {
      content: '';
      position: relative;
      display: block;
      width: 10px;
      height: 10px;
      border-left: 2px solid #69a03a;
      border-bottom: 2px solid #69a03a;
      transform: translateY(-50%) rotate(-45deg);
      transition: 0.3s;
    }
    &.active {
      &::after {
        transform: translateY(25%) rotate(135deg);
      }
    }
  }
  &__controllers-box {
    border-radius: 16px;
    background-color: #fff;
    height: fit-content;
    overflow: hidden;
    margin-bottom: 30px;
    display: none;
    @media (min-width: $md2) {
      display: block !important;
    }

    a {
      display: block;
      height: 65px;
      display: flex;
      align-items: center;
      padding-left: 27px;
      transition: 0.2s;
      border-bottom: 0.5px solid #d1d1d1;
      &:last-child {
        border-bottom: none;
      }
      img {
        &.active {
          display: none;
        }
      }
      p {
        font-family: 'Poppins Medium';
        font-size: 14px;
        line-height: 21px;
        color: #393939;
      }
      &:hover,
      &.active {
        background-color: #69a03a;
        img {
          display: none;
          &.active {
            display: block;
          }
        }
        p {
          color: #fff;
        }
      }
    }
  }
  // .profile__controllers-img
  &__controllers-img {
    width: 30px;
    margin-right: 8px;
    img {
      max-width: 30px;
    }
  }
  .profile__input-box {
    margin-left: 95px;
    flex: 1 1 auto;
    padding: 20px 33px;
    border-radius: 16px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .profile__input-box-inputs {
  }

  // .profile__title
  &__title {
    font-family: 'Poppins SemiBold';
    font-size: 14px;
    line-height: 24px;
    color: #000000;
    margin-bottom: 23px;
  }
  // .profile__input
  &__input {
    width: 100%;
    margin-bottom: 20px;
    input {
      width: 100%;
      color: #ababab;
      font-size: 13px;
      line-height: 17px;
      border: 1px solid #d8d8d8;
      padding: 15px 28px;
      border-radius: 30px;
      &::placeholder {
        color: inherit;
      }
    }
  }
  &__submit-btn {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    input[type='submit'] {
      cursor: pointer;
      font-family: 'Poppins SemiBold';
      text-transform: uppercase;
      font-size: 13px;
      line-height: 20px;
      color: #fff;
      padding: 15px 34px;
      border-radius: 16px;
      background-color: #69a03a;
    }
  }
  // .profile__shopping-bag
  &__shopping-bag {
    margin-left: 78px;
    padding: 0 53px;
  }
  // .profile__my-adress-slider
  &__my-adress-slider {
    margin-left: 60px;
    width: calc(100% - 320px);
    overflow: hidden;
  }
  @media (max-width: $md0) {
    .profile__input-box,
    &__shopping-bag {
      margin-left: 30px;
    }
    &__shopping-bag {
      padding: 0 20px;
    }
  }
  @media (max-width: $md2) {
    margin-top: 20px;
    .profile__row {
      flex-direction: column;
    }
    .profile__input-box,
    &__shopping-bag,
    &__my-adress-slider {
      margin-left: 0;
    }
    &__shopping-bag {
      padding: 0;
    }
    &__controllers {
      width: 100%;
      min-width: 100%;
    }
    &__my-adress-slider {
      width: 100%;
    }
    &__controllers-menu {
      display: flex;
    }
    &__controllers-box {
      display: none;
    }
  }
}

.shopping-bag {
  width: 100%;
  // .shopping-bag__row
  &__row {
    display: flex;
    flex-wrap: wrap;
    margin: -12.5px -25px;
  }
  // .shopping-bag__column
  &__column {
    width: calc(50% - 25px);
    margin: 12.5px;
    background-color: #fff;
    border-radius: 4px;
    padding: 11px 15px 13px 15px;
    &_big {
      width: 100%;
      .shopping-bag__menu {
        justify-content: space-between;
      }
      .shopping-bag__date {
        flex: 0 0;
      }
    }
  }
  // .shopping-bag__menu
  &__menu {
    display: flex;
    align-items: center;
  }
  // .shopping-bag__status
  &__status {
    font-size: 11px;
    line-height: 17px;
    width: 100px;
    &_success {
      color: #69a03a;
    }
    &_waiting {
      color: #cc7d00;
    }
    &_stoped {
      color: #f03a16;
    }
  }
  // .shopping-bag__date
  &__date {
    font-family: 'Poppins Medium';
    font-size: 12px;
    line-height: 18px;
    color: #bababa;
    flex: 1 1 auto;
  }
  // .shopping-bag__see
  &__see {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 26px;
    height: 22.5px;
    border-radius: 3px;
    background-color: #69a03a;
  }
  // .shopping-bag__table
  &__table {
    width: 100%;
    table {
      width: 100%;
      tbody {
        tr {
          display: flex;
          justify-content: space-between;
          border-bottom: 0.1px solid rgba(#1c1c1c, 0.1);
          &:last-child {
            border-bottom: none;
          }
          td {
            padding-top: 8.5px;
            font-size: 14px;
            line-height: 21px;
            color: #131010;
            padding-bottom: 2px;
            a {
              color: inherit;
            }
            .shopping-bag-table-price {
              letter-spacing: 2px;
              line-height: 21px;
            }
          }
        }
        tr {
          th {
            font-family: 'Poppins Light';
            font-size: 13px;
            line-height: 20px;
            color: #808080;
            width: 25%;
            padding-top: 4px;
            padding-bottom: 4px;
            &:first-child {
              text-align: start;
            }
            &:last-child {
              text-align: end;
            }
          }
        }
      }
    }
    &_product {
      table {
        tbody {
          tr {
            border: none;
            justify-content: space-between;
            position: relative;
            &::after {
              content: '';
              height: 0.1px;
              width: calc(100% - 180px);
              position: absolute;
              top: 0;
              left: 90px;
              background-color: rgba(#1c1c1c, 0.1);
            }
            &:first-child::after {
              content: none;
            }
            td {
              width: 25%;
              text-align: center;
              padding-top: 4px;
              padding-bottom: 4px;
              &:first-child,
              &:last-child {
                border-bottom: none;
              }
              &:first-child {
                padding-right: 13px;
                text-align: start;
              }
              &:last-child {
                text-align: end;
              }
            }
          }
        }
      }
    }
  }

  @media (max-width: 900px) {
    &__row {
      margin: -12.5px;
    }
    &__column {
      width: 100%;
    }
  }
}

.my-adress-slider {
  // .my-adress-slider__row
  &__row {
    margin: 0 -7.5px;
    padding-bottom: 40px;
    margin-bottom: 60px;
    overflow: hidden;
    position: relative;
    /* Слайдер */
    .slick-slider {
    }
    /* Слайдер запущен */
    .slick-slider.slick-initialized {
    }
    /* Слайдер с точками */
    .slick-slider.slick-dotted {
    }
    /* Ограничивающая оболочка */
    .slick-list {
    }
    /* Лента слайдов */
    .slick-track {
      display: flex;
    }
    /* Слайд */
    .slick-slide {
    }
    /* Слайд активный (показывается) */
    .slick-slide.slick-active {
    }
    /* Слайд основной */
    .slick-slide.slick-current {
    }
    /* Слайд по центру */
    .slick-slide.slick-center {
    }
    /* Клонированный слайд */
    .slick-slide.slick-cloned {
    }
    /* Стрелка */
    .slick-arrow {
      width: 18px;
      height: 12px;
      font-size: 0;
      background: url(../img/icons/arrow-2.svg) no-repeat 100%;
      position: absolute;
      z-index: 1;
      bottom: 0;
    }
    /* Стрелка влево */
    .slick-arrow.slick-prev {
      right: 40px;
    }
    /* Стрелка вправо */
    .slick-arrow.slick-next {
      transform: rotate(180deg);
      right: 7.5px;
    }
    /* Стрелка не активная */
    .slick-arrow.slick-disabled {
    }
    /* Точки (булиты) */
    .slick-dots {
      display: flex;
    }
    .slick-dots li {
    }
    /* Активная точка */
    .slick-dots li.slick-active {
    }
    /* Элемент точки */
    .slick-dots li button {
    }
  }
  // .my-adress-slider__column
  &__column {
    background-color: #fff;
    padding: 20px;
    border-radius: 16px;
    margin: 0 7.5px;
  }
  // .my-adress-slider__adress
  &__adress {
    margin-bottom: 33px;
  }
  // .my-adress-slider__adress-box
  &__adress-box {
    display: flex;
    align-items: center;
    font-size: 14px;
    line-height: 21px;
    color: #131010;
    margin-bottom: 6px;
    span {
      display: block;
      width: 25px;
      img {
        max-width: 100%;
      }
    }
  }
  // .my-adress-slider__bot
  &__bot {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  // .my-adress-slider__checkbox
  &__checkbox {
    input {
      display: none;
    }
    label {
      display: flex;
      align-items: center;
      cursor: pointer;
      & input:checked ~,
      &:hover {
        span {
          border-color: #69a03a;
        }
        p {
          color: #69a03a;
        }
      }
      & input:checked ~ span {
        &::before {
          display: block;
        }
      }
    }
    span {
      display: block;
      width: 14px;
      min-width: 14px;
      height: 14px;
      margin-right: 14px;
      position: relative;
      border: 1px solid #bababa;
      border-radius: 4px;
      &::before {
        content: '';
        position: absolute;
        width: 10px;
        height: 5px;
        border-left: 1px solid #69a03a;
        border-bottom: 1px solid #69a03a;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -75%) rotate(-45deg);
        display: none;
      }
    }
    p {
      font-size: 15px;
      line-height: 23px;
      color: #bababa;
    }
  }
  // .my-adress-slider__buttona
  &__buttons {
    display: flex;
  }
  // .my-adress-slider__button
  &__button {
    width: 25.92px;
    height: 22.6px;
    background-color: #69a03a;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 11px;
    &:last-child {
      margin-right: 0;
    }
  }
  // .my-adress-slider__add-adress
  &__add-adress {
    display: flex;
    justify-content: center;
    a {
      display: block;
      font-family: 'Poppins SemiBold';
      font-size: 13px;
      line-height: 20px;
      padding: 15px 35px;
      color: #69a03a;
      background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='16' ry='16' stroke='%2369A03AFF' stroke-width='1' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
      border-radius: 16px;
      width: fit-content;
    }
  }
}

.success {
  padding-bottom: 25px;
  min-height: 100vh;
  // .success__bred-crumb
  &__bred-crumb {
    margin-bottom: 50px;
  }
  // .success__container
  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  // .success__img
  &__img {
    margin-bottom: 45px;
  }
  // .success__text
  &__text {
    text-align: center;
    color: #1b2437;
    max-width: 350px;
    margin-bottom: 30px;
    h3 {
      font-size: 20px;
      line-height: 30px;
      letter-spacing: 2px;
    }
    p {
      font-size: 16px;
      line-height: 25px;
    }
  }
  // .success__link
  &__link {
    display: block;
    background-color: #69a03a;
    font-family: 'Poppins SemiBold';
    font-size: 13px;
    line-height: 20px;
    text-transform: uppercase;
    color: #fff;
    padding: 16px 48px;
    border-radius: 16px;
  }
  @media (max-width: $md3) {
    &__img {
      padding: 0 20%;
    }
    &__text {
      h3 {
        font-size: 18px;
        line-height: 30px;
        letter-spacing: 1px;
      }
      p {
        font-size: 14px;
        line-height: 20px;
      }
    }
    &__link {
      font-size: 12px;
      line-height: 16px;
      padding: 12px 30px;
      border-radius: 12px;
    }
  }
}
